MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025885Open CASCADE[OCCT] OCCT:Visualizationpublic2015-03-03 00:042015-05-14 16:30
Reportersan 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025885: Visualization, ray tracing - Improve layer processing
DescriptionAfter redesign of 2D layers using the Z layer mechanisms (0025783), it is necessary to revise the way how ray tracing processes the Z layers.

At least, it is necessary to ignore 2D layers and process only the default 3D layer, since in any case all OpenGL-specific depth buffer tricks at the level of user-defined 3D layers cannot be easily emulated by ray tracing.

Meanwhile, all other layers except the default 3D layer (user-defined 3D layers, 2D layers) should be drawn using regular OpenGL rasterization, regardless of the current rendering mode (ray tracing or rasterization).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025783closedbugmaster Visualization - allow Z-layer to draw 2D objects and to make it alternative to Overlay and Underlay 
related to 0025964closedbugmaster Visualization, TKOpenGl - compile RayTracing shader without texturing when no textures in use 

-  Notes
(0038831)
git (administrator)
2015-03-24 12:47

Branch CR25885 has been created by dbp.

SHA-1: cf3b59e04d5b0e7fb281f14db5326b263d135451


Detailed log of new commits:

Author: dbp
Date: Tue Mar 24 12:47:17 2015 +0300

    Visualization, ray tracing - Improve layer processing
(0038847)
git (administrator)
2015-03-24 17:19

Branch CR25885_1 has been created by dbp.

SHA-1: efe25ae6934c6da774ec1e950e81a315d1038c66


Detailed log of new commits:

Author: dbp
Date: Tue Mar 24 17:18:48 2015 +0300

    Initial version.

Author: dbp
Date: Tue Mar 24 12:47:17 2015 +0300

    Visualization, ray tracing - Improve layer processing

Author: dbp
Date: Thu Mar 19 10:47:09 2015 +0300

    Logging of GLSL warnings was added in ray-tracing core.

Author: dbp
Date: Tue Mar 17 15:13:16 2015 +0300

    0025652: Visualization, TKOpenGl - RayTracing initialization failures are not properly reported
(0038856)
git (administrator)
2015-03-24 18:52

Branch CR25885_1 has been updated by dbp.

SHA-1: 94771cfa555fda24ce3c063bf59ce30eff1c3609


Detailed log of new commits:

Author: dbp
Date: Tue Mar 24 18:52:12 2015 +0300

    Correct layer processing in ray-tracing mode.

(0038877)
git (administrator)
2015-03-25 12:24

Branch CR25885_2 has been created by dbp.

SHA-1: 755bb88498bb5e44a4f4aae766601d43adc6d0c1


Detailed log of new commits:

Author: dbp
Date: Tue Mar 24 12:47:17 2015 +0300

    0025885: Visualization, ray tracing - Improve layer processing
(0038878)
dbp (developer)
2015-03-25 12:26

Dear kgv,

please review the patch in branch CR25885_2.
(0038908)
git (administrator)
2015-03-26 12:25

Branch CR25885_2 has been updated by dbp.

SHA-1: 333620da0ec4320998ee4d41d307394cab358e61


Detailed log of new commits:

Author: dbp
Date: Thu Mar 26 11:50:06 2015 +0300

    Add support of bottom OSD layer.

(0038909)
dbp (developer)
2015-03-26 12:26

Dear kgv,

please review the patch in branch CR25885_2.
(0038911)
kgv (developer)
2015-03-26 12:58

Please test the patch.
(0038951)
apv (tester)
2015-03-27 18:12

Dear dbp,

Please rebase branch CR25885 to the current master.
(0039003)
git (administrator)
2015-03-30 22:47

Branch CR25885_3 has been created by dbp.

SHA-1: 36776d7751aa57891f939359e12cb869923f6397


Detailed log of new commits:

Author: dbp
Date: Mon Mar 30 23:47:19 2015 +0400

    0025885: Visualization, ray tracing - Improve layer processing
    
    This patch contains a number of useful architectural changes. Ray-tracing core was moved from OpenGl_Workspace to OpenGl_View. As a result, the ray-tracing integration has became deeper. Now it is possible to switch rendering modes between OpenGl layers. In addition, it allows to activate the stereo rendering in ray-tracing mode.
(0039004)
git (administrator)
2015-03-30 22:49

Branch CR25885_3 has been updated forcibly by dbp.

SHA-1: 220319c6f3cdde87db06823c979eaa32c30c8f72
(0039005)
dbp (developer)
2015-03-30 22:50

Dear bugmaster,

the patch was rebased on the current master and pushed to the branch CR25885_3.
(0039095)
apv (tester)
2015-04-01 14:22

Dear BugMaster,

Compilation of branch CR25885_3 has been failed.
More information could be found by the following links:
Linux: http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25885_3/job/CR25885-3-master_build_occt_linux/1/parsed_console/ [^]
Windows: http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25885_3/job/CR25885-3-master_build_occt_windows_64/1/parsed_console/ [^]
(0039102)
git (administrator)
2015-04-01 14:56

Branch CR25885_4 has been created by dbp.

SHA-1: fab65e3098afda942d109b051e1df7563c2e68e8


Detailed log of new commits:

Author: dbp
Date: Mon Mar 30 23:47:19 2015 +0400

    0025885: Visualization, ray tracing - Improve layer processing
    
    This patch contains a number of useful architectural changes. Ray-tracing core was moved from OpenGl_Workspace to OpenGl_View. As a result, the ray-tracing integration has became deeper. Now it is possible to switch rendering modes between OpenGl layers. In addition, it allows to activate the stereo rendering in ray-tracing mode.
(0039103)
dbp (developer)
2015-04-01 15:24

Please re-test the patch from branch CR25885_4.
(0039104)
git (administrator)
2015-04-01 15:38

Branch CR25885_4 has been updated forcibly by dbp.

SHA-1: cd7b35b3ecdc0aaad53e07f72ca9c9e7365c0538
(0039130)
apv (tester)
2015-04-02 11:38

Dear BugMaster,

Compilation of branch CR25964 has been failed (in part of CR25885_4).
More information could be found by the following links:
Linux: http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25964/job/CR25964-master_build_occt_linux/2/parsed_console/ [^]
MacOS: http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25964/job/CR25964-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
(0039139)
git (administrator)
2015-04-02 12:36

Branch CR25885_4 has been updated by dbp.

SHA-1: 82354b518e3461633c8b412435c05549b121bb8b


Detailed log of new commits:

Author: dbp
Date: Thu Apr 2 12:23:01 2015 +0300

    Fix compilations issues on GCC.

(0039140)
dbp (developer)
2015-04-02 12:40

Please re-test the patch.
(0039283)
git (administrator)
2015-04-07 09:02

Branch CR25885_5 has been created by kgv.

SHA-1: bbb45d16f0074ed88b71e0d44b2b6b3b559cb409


Detailed log of new commits:

Author: dbp
Date: Wed Apr 1 15:38:12 2015 +0300

    0025885: Visualization, ray tracing - Improve layer processing
    
    Move Ray-tracing core from OpenGl_Workspace to OpenGl_View.
    This patch also contains a number of useful architectural changes.
(0039331)
git (administrator)
2015-04-07 18:19

Branch CR25885_5 has been updated forcibly by apv.

SHA-1: 65f80ace5e3776ae0d2f8582f3c5a74f0e7e2543
(0039332)
apv (tester)
2015-04-07 18:19

Branch CR25885_5 has been rebased on the current master
(0039373)
apv (tester)
2015-04-08 15:43

Dear BugMaster,

Branch CR25885_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 65f80ace5e3776ae0d2f8582f3c5a74f0e7e2543

Number of compiler warnings:
occt component:
   Linux: 21 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)
There are new additional warnings detected:
1. OpenGl_View.hxx:675, GNU C Compiler 4 (gcc), Priority: Normal
‘Standard_Size OpenGl_View::myLayersModificationStatus’
2. OpenGl_View.hxx:678, GNU C Compiler 4 (gcc), Priority: Normal
‘OpenGl_View::myToUpdateEnvironmentMap’ will be initialized after
3. OpenGl_View.cxx:53, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here

Regressions/Differences:
http://occt-tests/CR25885-5-master-occt-64/Debian60-64/summary.html [^]
http://occt-tests/CR25885-5-master-occt-64/Windows-64-VC10/summary.html [^]
v3d raytrace bug25833

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93593784 / 93948446 [-0.38%]
Total CPU difference: 53093.40999999942 / 52005.249999999614 [+2.09%]

Testing on Windows:
Total MEMORY difference: 57063735 / 57072728 [-0.02%]
Total CPU difference: 16404.300755098884 / 16635.307035899023 [-1.39%]

There are differences in images found by testdiff:
http://occt-tests/CR25885-5-master-occt-64/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25885-5-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
(0039379)
git (administrator)
2015-04-08 17:52

Branch CR25885_5 has been updated by dbp.

SHA-1: d251baea1712c4f4013f5b6294d1492eea5fb4b1


Detailed log of new commits:

Author: dbp
Date: Wed Apr 8 17:52:29 2015 +0300

    Fix bug with application-defined FBO in ray-tracing mode.

(0039380)
dbp (developer)
2015-04-08 17:55

Dear kgv,

please review the fix in branch CR25885_5.
(0039396)
git (administrator)
2015-04-08 19:15

Branch CR25885_5 has been updated forcibly by dbp.

SHA-1: 5e8201c91712f0f470a1f8d2fb25df0df933cecb
(0039400)
kgv (developer)
2015-04-08 19:44

Please test updated patch.
(0039406)
git (administrator)
2015-04-09 08:56

Branch CR25885_5 has been updated by kgv.

SHA-1: cc694bae2ed3ea8dfb33f8c24b47eaf2de3ad4e0


Detailed log of new commits:

Author: kgv
Date: Thu Apr 9 08:56:49 2015 +0300

    OpenGl_Workspace::Redraw() - allow myResultFBO to be re-initialized after image dump

(0039407)
git (administrator)
2015-04-09 08:58

Branch CR25885_6 has been created by kgv.

SHA-1: a6b30842132d3a07809883ca0ad3c5d78b74a96f


Detailed log of new commits:

Author: dbp
Date: Thu Apr 9 08:58:10 2015 +0300

    0025885: Visualization, ray tracing - Improve layer processing
    
    Move Ray-tracing core from OpenGl_Workspace to OpenGl_View.
    This patch also contains a number of useful architectural changes.
(0039408)
kgv (developer)
2015-04-09 08:59

Please use branch CR25885_6 for testing.
(0041006)
git (administrator)
2015-05-14 16:29

Branch CR25885 has been deleted by inv.

SHA-1: cf3b59e04d5b0e7fb281f14db5326b263d135451
(0041007)
git (administrator)
2015-05-14 16:29

Branch CR25885_1 has been deleted by inv.

SHA-1: 94771cfa555fda24ce3c063bf59ce30eff1c3609
(0041008)
git (administrator)
2015-05-14 16:29

Branch CR25885_2 has been deleted by inv.

SHA-1: 333620da0ec4320998ee4d41d307394cab358e61
(0041009)
git (administrator)
2015-05-14 16:30

Branch CR25885_3 has been deleted by inv.

SHA-1: 220319c6f3cdde87db06823c979eaa32c30c8f72
(0041010)
git (administrator)
2015-05-14 16:30

Branch CR25885_4 has been deleted by inv.

SHA-1: 82354b518e3461633c8b412435c05549b121bb8b
(0041011)
git (administrator)
2015-05-14 16:30

Branch CR25885_5 has been deleted by inv.

SHA-1: cc694bae2ed3ea8dfb33f8c24b47eaf2de3ad4e0
(0041012)
git (administrator)
2015-05-14 16:30

Branch CR25885_6 has been deleted by inv.

SHA-1: a6b30842132d3a07809883ca0ad3c5d78b74a96f

- Related Changesets
occt: master 91c60b57
Timestamp: 2015-04-09 05:58:10
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025885: Visualization, ray tracing - Improve layer processing

Move Ray-tracing core from OpenGl_Workspace to OpenGl_View.
This patch also contains a number of useful architectural changes.
mod - src/NCollection/NCollection_Vec2.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec3.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec4.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
add - src/OpenGl/OpenGl_LayerFilter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-03 00:04 san New Issue
2015-03-03 00:04 san Assigned To => dbp
2015-03-03 00:04 san Relationship added related to 0025783
2015-03-24 12:47 git Note Added: 0038831
2015-03-24 17:19 git Note Added: 0038847
2015-03-24 18:52 git Note Added: 0038856
2015-03-25 12:24 git Note Added: 0038877
2015-03-25 12:26 dbp Note Added: 0038878
2015-03-25 12:26 dbp Assigned To dbp => kgv
2015-03-25 12:26 dbp Status new => feedback
2015-03-26 12:25 git Note Added: 0038908
2015-03-26 12:26 dbp Note Added: 0038909
2015-03-26 12:26 dbp Status feedback => resolved
2015-03-26 12:26 dbp Steps to Reproduce Updated View Revisions
2015-03-26 12:58 kgv Note Added: 0038911
2015-03-26 12:58 kgv Assigned To kgv => bugmaster
2015-03-26 12:58 kgv Status resolved => reviewed
2015-03-27 16:29 mkv Assigned To bugmaster => apv
2015-03-27 18:12 apv Note Added: 0038951
2015-03-27 18:12 apv Assigned To apv => dbp
2015-03-27 18:12 apv Status reviewed => feedback
2015-03-30 22:47 git Note Added: 0039003
2015-03-30 22:49 git Note Added: 0039004
2015-03-30 22:50 dbp Note Added: 0039005
2015-03-30 22:50 dbp Assigned To dbp => bugmaster
2015-03-30 22:50 dbp Status feedback => resolved
2015-03-31 08:03 kgv Status resolved => reviewed
2015-03-31 14:10 apv Assigned To bugmaster => apv
2015-04-01 14:22 apv Note Added: 0039095
2015-04-01 14:22 apv Assigned To apv => dbp
2015-04-01 14:22 apv Status reviewed => assigned
2015-04-01 14:56 git Note Added: 0039102
2015-04-01 15:11 dbp Status assigned => resolved
2015-04-01 15:16 kgv Assigned To dbp => bugmaster
2015-04-01 15:16 kgv Status resolved => reviewed
2015-04-01 15:24 dbp Note Added: 0039103
2015-04-01 15:38 git Note Added: 0039104
2015-04-01 15:42 mkv Assigned To bugmaster => apv
2015-04-01 16:27 kgv Relationship added related to 0025964
2015-04-01 18:20 apv Test case number => Not needed
2015-04-02 11:38 apv Note Added: 0039130
2015-04-02 11:38 apv Assigned To apv => dbp
2015-04-02 11:38 apv Status reviewed => assigned
2015-04-02 12:36 git Note Added: 0039139
2015-04-02 12:40 dbp Status assigned => resolved
2015-04-02 12:40 dbp Note Added: 0039140
2015-04-02 12:40 dbp Assigned To dbp => bugmaster
2015-04-02 12:40 dbp Status resolved => reviewed
2015-04-02 15:57 mkv Assigned To bugmaster => apv
2015-04-07 09:02 git Note Added: 0039283
2015-04-07 18:19 git Note Added: 0039331
2015-04-07 18:19 apv Note Added: 0039332
2015-04-08 15:43 apv Note Added: 0039373
2015-04-08 15:43 apv Assigned To apv => dbp
2015-04-08 15:43 apv Status reviewed => assigned
2015-04-08 17:52 git Note Added: 0039379
2015-04-08 17:55 dbp Note Added: 0039380
2015-04-08 17:55 dbp Assigned To dbp => kgv
2015-04-08 17:55 dbp Status assigned => resolved
2015-04-08 19:15 git Note Added: 0039396
2015-04-08 19:44 kgv Note Added: 0039400
2015-04-08 19:44 kgv Assigned To kgv => bugmaster
2015-04-08 19:44 kgv Status resolved => reviewed
2015-04-08 19:44 kgv Priority normal => high
2015-04-09 08:56 git Note Added: 0039406
2015-04-09 08:58 git Note Added: 0039407
2015-04-09 08:59 kgv Note Added: 0039408
2015-04-09 15:39 mkv Assigned To bugmaster => apv
2015-04-10 14:09 bugmaster Changeset attached => occt master 91c60b57
2015-04-10 14:09 bugmaster Assigned To apv => bugmaster
2015-04-10 14:09 bugmaster Status reviewed => verified
2015-04-10 14:09 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-05-14 16:29 git Note Added: 0041006
2015-05-14 16:29 git Note Added: 0041007
2015-05-14 16:29 git Note Added: 0041008
2015-05-14 16:30 git Note Added: 0041009
2015-05-14 16:30 git Note Added: 0041010
2015-05-14 16:30 git Note Added: 0041011
2015-05-14 16:30 git Note Added: 0041012


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker